program OWssteste

use sep 
use OW_sst1

implicit none

real						:: oang,dang,o1,o2,d1,d2
integer						:: n1,n2,nang
real, allocatable					:: cig(:,:),adcig(:,:)

 call sep_init()
 call sep_begin_prog()


 call from_history("n1",n1);	call from_history("d1",d1);	call from_history("o1",o1)
 call from_history("n2",n2);	call from_history("d2",d2);	call from_history("o2",o2)

!----------------------------------------------------
! Memory Allocation
!
nang=61
dang=1.
oang=-30.

 call to_history("n1",n1);	call to_history("d1",d1);	call to_history("o1",o1)
 call to_history("n2",nang);	call to_history("d2",dang);	call to_history("o2",oang)

allocate(cig(n1,n2))
allocate(adcig(n1,nang))

call sreed("in",cig,4*n1*n2)
call owss1_init(oang,dang,o1,o2,d1,d2,n1,n2,nang)
call owss1(cig,adcig)
call srite("out",adcig,4*n1*nang)

deallocate(adcig,cig)
end program
